Redmine - Feature #871

Commit new CSS styles!
2008-03-15 16:36 - Maxim Krusina

Status: Closed Start date: 2008-03-15
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 50%
Category: ul Estimated time: 0.00 hour
Target version: 1.0.1

Resolution:

Description

Hi JPL, can you commint CSS used on this site to trunk? I'm trying to setup the same CSS on our server as on this site, but without
success, I'm doing something wrong... IMHO, this theme is the best! Can you commit it as Default or maybe as new theme under
new name?

Related issues:
Related to Redmine - Patch #30445: Remove unnecessary bgl and bgr wrappers fr... Closed

Associated revisions

Revision 3429 - 2010-02-14 14:07 - Jean-Philippe Lang
Adds a few divs to the base layout (#871).

History

#1 - 2008-03-15 16:36 - Maxim Krusina

More on my trying here: http://www.redmine.org/boards/2/topics/show/77

#2 - 2008-03-15 18:22 - Jean-Philippe Lang

The redmine.org theme can not be used as-is because it requires a few more divs in base.rhtml.
| can commit these changes if people are interested.

#3 - 2008-03-15 23:09 - Maxim Krusina

If I'm right, there are som emore DIVs for container-formating. Anyway it musn't be exactly the same theme, what | personally like on this Theme is
smaller Verdana/bold in topmost menu and coloring of project's tabs. It's really excellent and visually best experience. (soory, I'm graphic designer, so
I'm really fixed to visual aspects of projects ;)

#4 - 2008-03-16 10:11 - Jean-Philippe Lang
Very happy to know that at least one graphic designer likes this design :-)
| agree with you. These 2 changes really improve the design and should be merged into the default theme:

e smaller Verdana/bold in topmost menu
e coloring of project's tabs

#5 - 2008-03-17 19:40 - Jos Yule

| will also add that i'm looking forward to getting this new theme into the trunk!

#6 - 2008-03-19 19:25 - Jean-Philippe Lang
- Target version set to 0.7

- % Done changed from 0 to 50

The top and main menus styles were changed in r1275 for the default themes.
Are you also interested in the shaded borders ?

#7 - 2008-03-19 21:28 - Maxim Krusina

Yes, please, | like them ;)))

#8 - 2008-04-26 18:14 - Jean-Philippe Lang
http://www.redmine.org/boards/2/topics/show/77
https://www.redmine.org/projects/redmine/repository/svn/revisions/1275

- Target version deleted (0.7)

#9 - 2009-02-15 15:39 - Mischa The Evil

Just came around this issue and wanted to point to a forum-topic regarding the same subject plus it provides a (currently out-dated) solution and the
needed files: http:/www.redmine.org/boards/1/topics/show/625.

Jean-Philippe Lang wrote:

...The redmine.org theme can not be used as-is because it requires a few more divs in base.rhtml...

...l can commit these changes if people are interested...

...Are you also interested in the shaded borders ?...

Looking at the info and files in the referenced forum-topic; would it be possible to add the required layout-changes to the core to make it possible to
add a new independend theme (e.g. ThemeRedmine, like done already for ThemeAlternate) of it?

#10 - 2010-02-14 14:12 - Jean-Philippe Lang

- Status changed from New to Closed

The layout changes are committed in r3429.

#11 - 2010-07-16 07:28 - Jean-Baptiste Barth

- Target version set to 1.0.1

Maybe r3429 should be merged in a future stable branch ?

#12 - 2019-01-17 00:40 - Go MAEDA
- Related to Patch #30445: Remove unnecessary bgl and bgr wrappers from the footer added
